Accept dispute | Moov Documentation
Accept dispute
Accepts liability for a dispute.
Read our disputes guide to learn more.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.read scope.
POST
/accounts/{accountID}/disputes/{disputeID}/accept
Ask
curl -X POST "https://api.moov.io/accounts/{accountID}/disputes/{disputeID}/accept" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
Ask
mc, _ := moov.NewClient()
var accountID string
var disputeID string
mc.AcceptDispute(ctx, accountID, disputeID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.disputes.accept({
accountID: "ef028cdd-49e0-4cd8-9c89-6673e28e226e",
disputeID: "b7cf0931-5fbb-4e79-94cb-96291b634f63",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->disputes->accept(
accountID: 'ef028cdd-49e0-4cd8-9c89-6673e28e226e',
disputeID: 'b7cf0931-5fbb-4e79-94cb-96291b634f63'
);
if ($response->dispute !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.AcceptDisputeResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
AcceptDisputeResponse res = sdk.disputes().accept()
.accountID("ef028cdd-49e0-4cd8-9c89-6673e28e226e")
.disputeID("b7cf0931-5fbb-4e79-94cb-96291b634f63")
.call();
if (res.dispute().isPresent()) {
System.out.println(res.dispute().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.disputes.accept(account_id="ef028cdd-49e0-4cd8-9c89-6673e28e226e", dispute_id="b7cf0931-5fbb-4e79-94cb-96291b634f63")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.disputes.accept(account_id: 'ef028cdd-49e0-4cd8-9c89-6673e28e226e', dispute_id: 'b7cf0931-5fbb-4e79-94cb-96291b634f63')
unless res.dispute.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Disputes.AcceptAsync(
accountID: "ef028cdd-49e0-4cd8-9c89-6673e28e226e",
disputeID: "b7cf0931-5fbb-4e79-94cb-96291b634f63"
);
// handle response
The request completed successfully.
Ask
Example
{
"amount": {
"currency": "USD",
"value": 257753
},
"createdOn": "2024-12-23T17:55:00Z",
"disputeID": "6e356108-fdfa-4910-bbe4-1e3c8abf5520",
"merchantAccountID": "34233b72-780c-4e0e-8b08-cbbe1bc878f8",
"networkReasonCode": "10.4",
"phase": "chargeback",
"respondBy": "2024-12-23T18:55:00Z",
"status": "response-needed",
"transfer": {
"transferID": "ecac148a-917e-4ee0-b46a-c51408939fff"
}
}
Response headers
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
Ask
Example
{
"error": "string"
}
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
Ask
Example
{
"error": "string"
}
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.04.00
Details of a card transaction dispute.
Show child attributes
A 3-letter ISO 4217 currency code.
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
Indicates the card network's category for the dispute.
These codes may differ between card brands. You can find more information on the code from the networkReasonDescription field.
The phase of a dispute within the dispute lifecycle.
Possible values:
pre-dispute,
inquiry,
chargeback,
unknown
The status of a particular dispute.
Read our disputes guide to learn what each status means.
Possible values:
response-needed,
resolved,
under-review,
closed,
accepted,
expired,
won,
lost
Show child attributes
The disputed transfer's ID.
Provides detail on the card network's categorization of the dispute.